package com.reactlibrary;

import com.facebook.react.ReactPackage;
import com.facebook.react.bridge.NativeModule;
import com.facebook.react.bridge.ReactApplicationContext;
import com.facebook.react.uimanager.ViewManager;
import com.reactlibrary.pay.PayManager;
import com.reactlibrary.uMeng.UmAnalytics;
import com.reactlibrary.uMeng.UmCommon;
import com.reactlibrary.uMeng.UmPush;
import com.reactlibrary.uMeng.UmShare;

import java.util.Arrays;
import java.util.List;

import androidx.annotation.NonNull;

public class BmkitModule implements ReactPackage {
    @NonNull
    @Override
    public List<NativeModule> createNativeModules(@NonNull ReactApplicationContext reactContext) {
        return Arrays.<NativeModule>asList(
                new PayManager(reactContext),
                new UmCommon(reactContext),
                new UmAnalytics(reactContext),
                new UmShare(reactContext),
                new UmPush(reactContext)
        );
    }

    @NonNull
    @Override
    public List<ViewManager> createViewManagers(@NonNull ReactApplicationContext reactContext) {
        return Arrays.<ViewManager>asList();
    }
}
